# Tax Information

## Get Tax Information

> Get data about tax calculations for the given entity in the given tax year.

```json
{"openapi":"3.0.1","info":{"title":"Taxes","version":"1.0"},"tags":[{"name":"TaxInformation","description":"Tax information endpoints"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"entityId":{"schema":{"type":"string","format":"uuid"},"name":"entityId","in":"query","required":true,"description":"Unique entity identification in UUID format"},"entityType":{"schema":{"$ref":"#/components/schemas/EntityTypeEnum"},"name":"entityType","in":"query","required":true,"description":"Type of the entity"},"year":{"schema":{"type":"integer","minimum":1900,"maximum":2100},"name":"year","in":"query","required":true,"description":"Calendar year of the tax year"}},"schemas":{"EntityTypeEnum":{"title":"EntityTypeEnum","type":"string","enum":["NATURAL_PERSON","LEGAL_ENTITY","JOINT_PERSON","BENEFICIAL_OWNER","LEGAL_REPRESENTATIVE"],"description":"Type of the entity."},"TaxInformation":{"title":"TaxInformation","type":"object","properties":{"taxYear":{"type":"integer","description":"Calendar year of the tax year"},"lossPotEquities":{"type":"number","format":"decimal","description":"Balance of the STOCK loss pot"},"lossPotGeneral":{"type":"number","format":"decimal","description":"Balance of the OTHER (general) loss pot"},"incomeCoveredEquities":{"type":"number","format":"decimal","description":"Income covered by losses from the STOCK loss pot in this tax year"},"incomeCoveredGeneral":{"type":"number","format":"decimal","description":"Income covered by losses from the OTHER loss pot in this tax year"},"usedFsa":{"type":"number","format":"decimal","description":"Income covered by the FSA (Saver's Allowance) in this tax year"},"withheldCapitalGainsTax":{"type":"number","format":"decimal","description":"Total German capital income tax calculated for the taxpayer in this tax year"},"withheldSolidarityTax":{"type":"number","format":"decimal","description":"Total German solidarity surcharge tax calculated for the taxpayer in this tax year"},"withheldChurchTax":{"type":"number","format":"decimal","description":"Total German church tax calculated for the taxpayer in this tax year"},"creditedForeignWithholdingTax":{"type":"number","format":"decimal","description":"Total foreign tax credited for the taxpayer in this tax year"}},"required":["taxYear","lossPotEquities","lossPotGeneral","incomeCoveredEquities","incomeCoveredGeneral","usedFsa","withheldCapitalGainsTax","withheldSolidarityTax","withheldChurchTax","creditedForeignWithholdingTax"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/taxes/tax-information":{"get":{"summary":"Get Tax Information","description":"Get data about tax calculations for the given entity in the given tax year.","operationId":"getTaxInformation","tags":["TaxInformation"],"parameters":[{"$ref":"#/components/parameters/entityId"},{"$ref":"#/components/parameters/entityType"},{"$ref":"#/components/parameters/year"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxInformation"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/taxes/information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
